#ifndef lint
static char *RCSid = "$Header: /users/empire/EMP/empmain/COMS/RCS/brea.c,v 1.2 89/07/02 21:41:40 jeffw Exp $";
#endif /* not lint */

/*
 * brea.c
 *
 * break out of sanctuary
 *
 * Jeff Wallace, 1989
 */

#include "misc.h"
#include "file.h"
#include "nat.h"

brea()
{
	struct	natstr *natp;

	natp = getnatp(cnum);
	if (natp->nat_stat & STAT_NORM) {
		pr("You have already broken sanctuary!\n");
		return RET_SYN;
	}
	bsanct(natp->nat_xcap, natp->nat_ycap);
	NAT_DELTA(nat_stat, cnum, STAT_NORM);
	nstat |= NORM;
	return RET_OK;
}
